// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('culator', ['ionic', 'ngCordova', 'starter.controllers'])

    .run(['$timeout', '$state', '$ionicPlatform', '$cordovaSplashscreen', function ($timeout, $state, $ionicPlatform, $cordovaSplashscreen) {
        $ionicPlatform.ready(function () {
            // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
            // for form inputs)
            if (window.cordova && window.cordova.plugins.Keyboard) {

                //Change this to false to return accessory bar
                cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);
            }
            if (window.StatusBar) {
                // org.apache.cordova.statusbar required
                StatusBar.styleDefault();
            }
            // close splash screen
            $timeout(function () {
                try {
                    $state.go('app.home');
                    $cordovaSplashscreen.hide();
                } catch (ex) {
                    console.log(ex);
                }
            }, 500);
        });
    }
    ])

    .config(['$stateProvider', '$urlRouterProvider', function ($stateProvider, $urlRouterProvider) {
        $stateProvider

            .state('app', {
                url: '/app',
                templateUrl: 'templates/sideMenu.html',
                controller: 'AppCtrl'
            })

            .state('app.home', {
                url: '/home',
                views: {
                    'menuContent': {
                        templateUrl: 'templates/home.html',
                        controller: 'homeCtrl'
                    }
                }
            });
        // if none of the above states are matched, use this as the fallback
        //$urlRouterProvider.otherwise('/app/home');
    }
    ]);
