angular.module('starter.controllers', [])

    .controller('AppCtrl', function ($rootScope, $scope, $ionicSideMenuDelegate) {

        $scope.items = [
            {kind: '工资、薪金所得', unit: '元/月'},
            {kind: '个体工商户生产、经营所得', unit: '元/年'},
            {kind: '对企事业单位的承包经营', unit: '元/年'},
            {kind: '劳务报酬所得', unit: '元/月'},
            {kind: '稿酬所得', unit: '元/月'},
            {kind: '特需权使用费所得', unit: '元/月'},
            {kind: '财产租赁所得', unit: '元/月'},
            {kind: '财产转让所得', unit: '元/月'},
            {kind: '红利所得', unit: '元/月'},
            {kind: '偶然所得', unit: '元/月'}
        ];

        //  工资薪金所得
        $scope.items[0].algorithm = function (money) {
            var tax;
            var B, C;
            B = 3500;
            C = money - B;
            if (C <= 0) {
                tax = 0;
            } else if (C <= 1500) {
                tax = C * 0.03;
            } else if (C <= 4500) {
                tax = C * 0.1 - 105;
            } else if (C <= 9000) {
                tax = C * 0.2 - 555;
            } else if (C <= 35000) {
                tax = C * 0.25 - 1005;
            } else if (C <= 55000) {
                tax = C * 0.3 - 2755;
            } else if (C <= 80000) {
                tax = C * 0.35 - 5505;
            } else {
                tax = C * 0.45 - 13505;
            }
            return tax;
        };
        //个体工商户生产、经营所得
        $scope.items[1].algorithm = function (money) {
            var tax;
            if (money <= 15000) {
                tax = money * 0.05;
            } else if (money <= 30000) {
                tax = money * 0.1 - 750;
            } else if (money <= 60000) {
                tax = money * 0.2 - 3750;
            } else if (money <= 100000) {
                tax = money * 0.3 - 9750;
            } else {
                tax = money * 0.35 - 14750;
            }
            return tax;
        };
        //对企事业单位的承包经营
        $scope.items[2].algorithm = function (money) {
            var tax;
            if (money <= 15000) {
                tax = money * 0.05;
            } else if (money <= 30000) {
                tax = money * 0.1 - 750;
            } else if (money <= 60000) {
                tax = money * 0.2 - 3750;
            } else if (money <= 100000) {
                tax = money * 0.3 - 9750;
            } else {
                tax = money * 0.35 - 14750;
            }
            return tax;
        };
        //劳务报酬所得
        $scope.items[3].algorithm = function (money) {
            var tax;
            var D;
            if (money <= 4000) {
                D = money - 800;
            } else {
                D = money - (money * 0.2);
            }
            if (D <= 20000) {
                tax = D * 0.2;
            } else if (D <= 50000) {
                tax = D * 0.3 - 2000;
            } else {
                tax = D * 0.4 - 7000;
            }
            return tax;
        };
        //稿酬所得
        $scope.items[4].algorithm = function (money) {
            var tax;
            if (money <= 800) {
                tax = 0;
            }
            else if (money <= 4000) {
                tax = (money - 800) * 0.2 * 0.7
            }
            else {
                tax = money * 0.8 * 0.2 * 0.7
            }
            return tax;
        };
        //特需权使用费所得
        $scope.items[5].algorithm = function (money) {
            var tax;
            if (money <= 800) {
                tax = 0;
            }
            else if (money <= 4000) {
                tax = (money - 800) * 0.2;
            }
            else {
                tax = money * 0.8 * 0.2;
            }
            return tax;
        };
        //财产租赁所得
        $scope.items[6].algorithm = function (money) {
            var tax;
            if (money <= 800) {
                tax = 0;
            }
            else if (money <= 4000) {
                tax = (money - 800) * 0.2;
            } else {
                tax = money * 0.8 * 0.2;
            }
            return tax;
        };
        //财产转让所得
        $scope.items[7].algorithm = function (money) {
            var tax;
            tax = money * 0.2;
            return tax;
        };
        //红利所得
        $scope.items[8].algorithm = function (money) {
            var tax;
            tax = money * 0.2;
            return tax;
        };
        //偶然所得
        $scope.items[9].algorithm = function (money) {
            var tax;
            tax = money * 0.2;
            return tax;
        };
        //点击侧边菜单类别进行选择
        $scope.changeItem = function (item) {
            $scope.selectItem = item;
            $ionicSideMenuDelegate.toggleLeft();
        };

        //首页默认计算工资、薪金所得
        $scope.selectItem = $scope.items[0];

    }).controller('homeCtrl', function ($rootScope, $scope) {

        $scope.data = {
            money: "0.00",
            tax: "0.00",
            income: "0.00"
        };

        $scope.clear = function () {
            $scope.data.money = "0.00";
            $scope.data.tax = "0.00";
            $scope.data.income = "0.00";
        };


        $scope.algorithm = function (money) {
            if (!money || !$scope.selectItem) {
                return;
            }
            $scope.data.tax = $scope.selectItem.algorithm(money).toFixed(2);
            var income = $scope.data.money - $scope.selectItem.algorithm(money);
            $scope.data.income = income.toFixed(2);
        };

    });


